/**

CREATE TABLE "option" (
	option_id INTEGER PRIMARY KEY AUTOINCREMENT DEFAULT '0', 
	option_name CHAR, 
	option_value INTEGER
	date_created TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP,
	date_modified TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
                             DEFAULT CURRENT_TIMESTAMP)

CREATE TABLE "dailyplan" (
	dailyplan_id INTEGER PRIMARY KEY AUTOINCREMENT DEFAULT '0', 
	dailyplan_date DATE, 
	dailyplan_description CHAR, 
	class_id INTEGER
	date_created TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP,
	date_modified TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
                             DEFAULT CURRENT_TIMESTAMP)

CREATE TABLE "weeklyplan" (
	weeklyplan_id INTEGER PRIMARY KEY AUTOINCREMENT DEFAULT '0', 
	weeklyplan_year INTEGER,
	weeklyplan_week INTEGER, 
	weeklyplan_description CHAR, 
	class_id INTEGER,
	date_created TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP,
	date_modified TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
                             DEFAULT CURRENT_TIMESTAMP)
	
CREATE TABLE "day" (
	day_id INTEGER PRIMARY KEY AUTOINCREMENT DEFAULT '0', 
	day_date DATE, 
	day_description CHAR,
	date_created TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP,
	date_modified TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
                             DEFAULT CURRENT_TIMESTAMP)
	
CREATE TABLE "class" (
	class_id INTEGER PRIMARY KEY AUTOINCREMENT DEFAULT '0',
	class_name CHAR,
	class_description CHAR,
	date_created TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP,
	date_modified TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
                             DEFAULT CURRENT_TIMESTAMP)
	
**/
