using System;
using System.IO;
namespace LessonPlan
{
	/// <summary>
	/// Summary description for FindOS.
	/// </summary>
	public class FindOS
	{
		private int OS = 0;
		public FindOS()
		{
			//0 is Windows
			//1 is Linux, Unix
			//2 is Mac
			string OSVersion = Environment.OSVersion.ToString().ToLower();
			Console.WriteLine("OS:" + OSVersion);
			Console.WriteLine("Version:" + Environment.Version);
			Console.WriteLine("UserName:" + Environment.UserName);
			Console.WriteLine("UserDomainName:" + Environment.UserDomainName);
			Console.WriteLine("CurrentDirectory:" + Environment.CurrentDirectory);
			if (OSVersion.IndexOf("linux")!=-1)
			{
			OS=1;
			}
			if (OSVersion.IndexOf("unix")!=-1)
			{
			OS=1;
			}
			else if (OSVersion.IndexOf("macintosh") !=-1)
			{
			 OS=2;
			}
		}

		public string FullFilename(string filename)
		{
		return Directory.GetCurrentDirectory() + "\\" + filename;
//			switch(OS)       
//			{         
//				case 0: 
//					return Directory.GetCurrentDirectory() + "\\" + filename;
//				case 1:
//					return Directory.GetCurrentDirectory() + "/" + filename;
//				case 2:
//					return Directory.GetCurrentDirectory() + "\\" + filename;
//				default:
//					return "";
//			}
		}

		public Gdk.Pixbuf PicStream(string filename)
		{
			System.Reflection.Assembly Asm = System.Reflection.Assembly.GetExecutingAssembly();
			String VS = "";
			//VS = Asm.GetName().Name + ".Pictures."; //TODO: for Visual Studio; otherwise, if using SharpDevelop, make it equal to ""

			switch(OS)       
			{         
				case 0: 
					VS = Asm.GetName().Name + ".pics."; //TODO: for Visual Studio; otherwise, if using SharpDevelop, make it equal to ""
					break;   
				case 1:
					break;   
				case 2:
					break; 
				default:
					break;
			}
			Console.WriteLine("Pic:" + VS + filename);
			try {
			return new Gdk.Pixbuf(Asm, VS + filename);
			}
			catch{
			}
			return null;
			
			
		}
	}
//	Public Class FlushMemory
//
//	Private Declare Function SetProcessWorkingSetSize Lib "kernel32.dll" ( _
//	ByVal process As IntPtr, _
//	ByVal minimumWorkingSetSize As Integer, _
//	ByVal maximumWorkingSetSize As Integer) As Integer
//
//	Public Shared Sub FlushMemorys()
//	GC.Collect()
//	GC.WaitForPendingFinalizers()
//	If (Environment.OSVersion.Platform = PlatformID.Win32NT) Then
//	SetProcessWorkingSetSize(Process.GetCurrentProcess().Handle, -1, -1)
//	End If
//	End Sub
//
//	End Class
}
