/*
 * callbacks.h
 * lessonplan
 *
 * by Doug Wolfe
 * doug@wolfescience.com 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc.,  59 Temple Place - Suite 330, Cambridge, MA 02139, USA.
 *
 */
 
#include <gtk/gtk.h>


gboolean
on_window_Main_delete_event            (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
lp_on_new_clicked                      (GtkWidget     *widget,
                                        gpointer         user_data);

void
lp_on_open_clicked                     (GtkWidget     *widget,
                                        gpointer         user_data);
                                        
void
lp_on_save_clicked                     (GtkWidget     *widget,
                                        gpointer         user_data);

void
lp_on_save_as_clicked                  (GtkWidget     *widget,
                                        gpointer         user_data);

void
lp_on_close_clicked                    (GtkWidget     *widget,
                                        gpointer         user_data);

void
lp_on_export_clicked                   (GtkWidget     *widget,
                                        gpointer         user_data);

void
lp_on_print_preview_clicked            (GtkWidget     *widget,
                                        gpointer         user_data);

void
lp_on_print_clicked                    (GtkWidget     *widget,
                                        gpointer         user_data);

void
lp_on_quit_clicked                     (GtkWidget     *widget,
                                        gpointer         user_data);

void
on_undo1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_redo1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_cut1_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_copy1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_paste1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_delete1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_select_all1_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_weekly_plans1_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_lesson_plans1_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_standards_list1_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_find1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_search_database1_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_use_filter1_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_preferences1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean
on_window_Plan_delete_event            (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
lp_open_database(gchar *filename, GtkWidget *lp_window_main);

void
lp_new_database(GtkWidget *lp_window_main);

void
lp_menuitem_on_forward_week_activate   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
lp_menuitem_on_back_week_activate      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
lp_toolbtn_on_back_week_activate       (GtkToolButton   *toolbutton,
                                        gpointer         user_data);

void
lp_toolbtn_on_forward_week_activate    (GtkToolButton   *toolbutton,
                                        gpointer         user_data);

void
lp_callbacks_setup_window_main(GtkWidget * lp_window_main);

void
lp_setting_button_day_label_on_clicked (GtkButton       *button,
                                        gpointer         user_data);

void
lp_setting_button_week_label_on_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

void
lp_edit_classes_on_clicked             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
lp_print_on_clicked                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
lp_date_clicked                        (GtkWidget     *widget,
                                        gpointer         user_data);

void
lp_calendar_day_on_selected_double_click
                                        (GtkCalendar     *calendar,
                                        gpointer         user_data);
