/*
 * lpsql.h
 * lessonplan
 *
 * by Doug Wolfe
 * doug@wolfescience.com 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc.,  59 Temple Place - Suite 330, Cambridge, MA 02139, USA.
 *
 */
#include <gtk/gtk.h>

gchar *filename_current;
gchar *filename_temp;

int
lp_copy_file (char *filename_old, char *filename_new);

void
lp_sql_close_database ();

void
lp_sql_new_database ();

void
lp_sql_open_database (char *filename);

int
lp_sql_row_count (char *sql_statement);

char*
lp_sql_value (char *sql_statement, char *column_name);
